<template>
  <gp-month-flags-input v-model="months" input-name="months" :vertical="vertical" :format="useNumbers ? 'integers' : 'booleans'" />

  <hr>
  <rui-button caption="Toggle layout" @click="vertical = !vertical" />
  <rui-button caption="Toggle format" @click="useNumbers = !useNumbers" />
  <pre class="-mtd -text--small"><strong>Value</strong>: {{ months }}</pre>
</template>

<script>
import GpMonthFlagsInput from '@/vue/common/Inputs/MonthsFlags/MonthsFlags.vue'
import RuiButton from '@experiments-labs/rise_ui/src/components/Button/Button.vue'

export default {
  components: { RuiButton, GpMonthFlagsInput },
  data () {
    return {
      months: [false, false, false, false, false, false, false, false, false, false, false, false],
      vertical: false,
      useNumbers: false,
    }
  },
}
</script>
